libretools - Bug #21

[fullpkg-build] fetch all sources while building packages
2012-02-27 06:46 PM - mtjm

Status: not-a-bug % Done: 0%
Priority: feature

Assignee:

Category:

Description

Like Gentoo's parallel-fetch. It's useful for packagers with slow networks and for PKGBUILDs using slow mirrors.

Start fetching all sources in background, with a separate log. Before building a package wait until its sources are fetched (needs
locks).

History

#3 - 2012-06-05 03:35 AM - xihh
| think this could be easily implemented in a «fullpkg-dl» which adds a file named «SRC_DOWNLOADED» on folders which has finished already.

| added an option for download in building order, maybe we could instruct «fullpkg» to run «fullpkg-dl» on backgrownd and instruct «fullpkg-build» to
wait till that file exist on dir.

What do you think about that idea for implementation?
#4 - 2012-06-05 03:02 PM - fauno
xihh wrote:
I think this could be easily implemented in a «fullpkg-dl» which adds a file named «SRC_DOWNLOADED» on folders which has finished already.

| added an option for download in building order, maybe we could instruct «fullpkg» to run «fullpkg-dl» on backgrownd and instruct
«fullpkg-build» to wait till that file exist on dir.

What do you think about that idea for implementation?

i don't know. i've been using treepkg without problem for some time now and never looked back at fullpkg. if i want to fetch the source beforehand or
for offline building, i just run "makepkg -gc’ on the package dirs... i know it's too manual :P

#5 - 2014-01-19 02:50 PM - lukeshu
- Subject changed from [libretools] fetch all sources while building packages in fullpkg-build to [fullpkg-build] fetch all sources while building packages

#6 - 2015-06-07 01:05 AM - lukeshu

- Status changed from open to not-a-bug

fullpkg has been removed from git master in favor of dagpkg.
